/* White Theme Style */

/* Page wrapper */
.wrapper {
    width: 90%;
    max-width: 800px;
    margin: 4em auto;
    text-align: center;
}

/*#ver_submit {*/
/*    color: rgb(49 44 44) !important;*/
/*}*/
/* Icons */
.icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    vertical-align: middle;
    fill: currentcolor;
}

/**
 * Modals ($modals)
 */

/* 1. Ensure this sits above everything when visible */
.modal {
    position: absolute;
    z-index: 10000; /* 1 */
    top: 0;
    left: 0;
    visibility: hidden;
    width: 100%;
    height: 100%;
}

.modal.is-visible {
    visibility: visible;
}

.modal-overlay {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: hsla(0, 0%, 0%, 0.5);
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s linear 0.3s, opacity 0.3s;
}

.modal.is-visible .modal-overlay {
    opacity: 1;
    visibility: visible;
    transition-delay: 0s;
}

.modal-wrapper {
    position: absolute;
    z-index: 9999;
    max-width: fit-content;
    left:50%;
    background-color: #fff;
    transform: translate(-50%,-50%) !important;
    box-shadow: 0 0 1.5em hsla(0, 0%, 0%, 0.35);
}

.modal-transition {
    transition: all 0.3s 0.12s;
    opacity: 0;
}

.modal.is-visible .modal-transition {
    transform: translateY(0);
    opacity: 1;
}

.modal-header,
.modal-content {
    padding: 1em;
}

.modal-header {
    position: relative;
    background-color: #fff;
    box-shadow: 0 1px 2px hsla(0, 0%, 0%, 0.06);
    border-bottom: 1px solid #e8e8e8;
}

.modal-close {
    position: absolute;
    top: 0;
    right: 0;
    padding: 1em;
    color: #aaa;
    background: none;
    border: 0;
}

.modal-close:hover {
    color: #777;
}

.modal-heading {
    font-size: 1.125em;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.modal-content > *:first-child {
    margin-top: 0;
}

.modal-content > *:last-child {
    margin-bottom: 0;
}
#sms {
    display: flex;
    flex-direction: column;
    text-align: center;
    color: #040404;
}
#sms label {
    font-size: 28px;
}

#sms #code {
    padding: 6px 55px;
    font-size: 26px;
    width: 95px;
    text-align: center;
    align-self: center;
    border:none;
    outline: none;
    border-radius: 5px;
    background-color: #f3f3f3;
}
.modal-content {
    margin: 45px;
}
.modal-wrapper {
    border-radius: 10px;
    background-color: #fff;
    position: fixed;
    top: 50%;
    transform: translate(-50%,-50%) !important;
}

#sms button {
    margin-bottom: 25px;
    padding: 6px 43px;
    font-size: 18px;
    font-weight: bold;
    box-sizing: border-box;
    align-self: center;
    border:none;
    cursor:pointer;
    border-radius: 5px;
    background-color: #3b9efb;
    box-shadow: 2px 2px 6px black;
    color: #f2eded;

}

#sms .info_txt {
    font-size: 16px;
}
#sms .time {
    color: rgb(159,205,195);
    cursor: pointer;
}
#sms .error {
    margin-bottom: 10px;
    font-size: 14px;
    color: #d23a3abd;
}

.modal.is-visible {
    z-index: 99999999999999;
}

.verificated_txt {
    color: green;
}

#sms .repeat {
    /*margin-top: 10px;*/
}

#sms .send_again {
    color: #2b4965;
    display: block;
    width: fit-content;
    margin: 0 auto;
    border-bottom: 1px solid #645c5c;
    cursor: pointer;
}
#sms .send_again:hover {
    color: #2b4965 !important;
    font-weight: bold;
}
/*.t-input-phonemask__options-wrap_open {*/
/*    display: none !important;*/
/*}*/
/*.t-input-phonemask__select-triangle {*/
/*    display: none !important;*/
/*}*/

.modal-wrapper .close {
    z-index: 9999999999;
    color:white;
    position: absolute;
    right: 5px;
    top: 5px;
    width: 32px;
    height: 32px;
    opacity: 1;
    cursor: pointer;
}
.close:hover {
    opacity: 1;
}
.close:before, .close:after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 33px;
    width: 2px;
    background-color: #fff;
}
.close:before {
    transform: rotate(45deg);

}
.close:after {
    transform: rotate(-45deg);
}

#sms input::-webkit-outer-spin-button,
#sms input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

#sms {
    font-family: 'Roboto',Arial,sans-serif;
}

#sms input[type="number"] {
    margin: 15px 15px 12px 15px;
}

@media screen and (max-width: 480px) {
    #sms label {
        font-size: 22px;
    }
    .modal-wrapper .close:before, .modal-wrapper .close:after {
        height: 25px;
    }
    .modal-wrapper .close {
        right: 10px;
        top: 10px;
    }
}

